### A free/open-source library for quantitative finance

Public Member Functions
YYUKRPI Class Reference

Genuine year-on-year UK RPI (i.e. not a ratio of UK RPI) More...

`#include <ql/indexes/inflation/ukrpi.hpp>`

Inheritance diagram for YYUKRPI:
[legend]

List of all members.

## Public Member Functions

| YYUKRPI (bool interpolated, const Handle< YoYInflationTermStructure > &ts=Handle< YoYInflationTermStructure >())

## Detailed Description

Genuine year-on-year UK RPI (i.e. not a ratio of UK RPI)